from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker
from sqlalchemy.orm import scoped_session
from model.base import Base


class Database:
    def __init__(self, database_url="sqlite:///finance.db"):
        self.engine = create_engine(database_url)
        self.session = scoped_session(sessionmaker(bind=self.engine))


    def create_tables(self):
        Base.metadata.create_all(self.engine)


    def drop_tables(self):
        Base.metadata.drop_all(self.engine)